using System;
using Benday.Cms.Business.DomainModel;
using Microsoft.Practices.Unity;
using Benday.Cms.Business.Interfaces;
using Benday.Cms.Common;

namespace Benday.Cms.Business.Admin
{
    public class CmsFolderService : DomainObjectService<ICmsFolder>, ICmsFolderService
    {
        [InjectionConstructor]
        public CmsFolderService(ICmsFolderRepository repository) : base(repository)
        {

        }

        public ICmsFolder New()
        {
            return new CmsFolder();
        }

        protected override void BeforeDelete(ICmsFolder deleteThis)
        {
            if (deleteThis == null)
                throw new ArgumentNullException("deleteThis", "deleteThis is null.");

            if (deleteThis.Folders.Count > 0)
            {
                throw new CannotDeleteFolderException(deleteThis.Id, "folder has subfolders");
            }
            else if (deleteThis.Pages.Count > 0)
            {
                throw new CannotDeleteFolderException(deleteThis.Id, "folder has items");
            }
            else
            {
                base.BeforeDelete(deleteThis);
            }
        }
    }
}
