using System;
using Benday.Cms.Business.DomainModel;
using Benday.Cms.Business.Interfaces;
using Benday.Cms.Common;

namespace Benday.Cms.Business.Admin
{
    public class CmsWebPageService : DomainObjectService<ICmsWebPage>, ICmsWebPageService
    {
        public CmsWebPageService(ICmsWebPageRepository repository)
            : base(repository)
        {

        }
        public ICmsWebPage New(string name, ICmsFolder parent, bool isVisible, int displayOrder)
        {
            var temp = New(name, parent, isVisible);

            temp.DisplayOrder = displayOrder;

            return temp;
        }

        public ICmsWebPage New(string name, ICmsFolder parent, bool isVisible)
        {
            var temp = new CmsWebPage();

            temp.Name = name;
            temp.Parent = parent;
            temp.IsVisible = isVisible;

            return temp;
        }        
    }
}