using System;
using System.Collections.Generic;
using System.Linq;
using Benday.Cms.Business.Interfaces;
using Benday.Cms.Common;

namespace Benday.Cms.Business.Admin
{
    public static class FileAdapter
    {
        public static IFileInfo Adapt(ICmsFile convertFrom)
        {
            IFileInfo convertTo = new UiFileInfo();

            convertTo.DisplayOrder = convertFrom.DisplayOrder;
            convertTo.Id = convertFrom.Id;
            convertTo.Name = convertFrom.Name;

            convertTo.ParentFolderId = convertFrom.Parent.Id;
            convertTo.Status = convertFrom.Status;
            convertTo.Visible = convertFrom.IsVisible;
            convertTo.Filename = convertFrom.Filename;
            convertTo.IsFolderDefault = false;

            return convertTo;
        }

        public static IList<IFileInfo> Adapt(ICollection<ICmsFile> convertFrom)
        {
            IList<IFileInfo> convertTo = new List<IFileInfo>();

            foreach (var item in convertFrom)
            {
                convertTo.Add(FileAdapter.Adapt(item));
            }

            var sorted = from temp in convertTo
                         orderby temp.DisplayOrder
                         select temp;

            return sorted.ToArray();
        }
    }
}
