using System;
using System.Collections.Generic;
using System.Linq;
using Benday.Cms.Business.Interfaces;
using Benday.Cms.Common;

namespace Benday.Cms.Business.Admin
{
    public static class LinkAdapter
    {
        public static ILinkInfo Adapt(ICmsLink convertFrom)
        {
            ILinkInfo convertTo = new LinkInfo();

            convertTo.DisplayOrder = convertFrom.DisplayOrder;
            convertTo.Id = convertFrom.Id;
            convertTo.Name = convertFrom.Name;

            convertTo.ParentFolderId = convertFrom.Parent.Id;
            convertTo.Status = convertFrom.Status;
            convertTo.Visible = convertFrom.IsVisible;
            convertTo.Url = convertFrom.Url;
            convertTo.IsFolderDefault = convertFrom.IsFolderDefault;

            return convertTo;
        }

        public static IList<ILinkInfo> Adapt(ICollection<ICmsLink> convertFrom)
        {
            IList<ILinkInfo> convertTo = new List<ILinkInfo>();

            foreach (var item in convertFrom)
            {
                convertTo.Add(LinkAdapter.Adapt(item));
            }

            var sorted = from temp in convertTo
                         orderby temp.DisplayOrder
                         select temp;

            return sorted.ToArray();
        }
    }
}
