using System;
using System.Collections.Generic;
using System.Linq;
using Benday.Cms.Business.Interfaces;
using Benday.Cms.Common;

namespace Benday.Cms.Business.Admin
{
    public static class WebPageAdapter
    {
        public static IPageInfo Adapt(ICmsWebPage convertFrom)
        {
            IPageInfo convertTo = new PageInfo();

            convertTo.DisplayOrder = convertFrom.DisplayOrder;
            convertTo.Id = convertFrom.Id;
            convertTo.Name = convertFrom.Name;

            convertTo.ParentFolderId = convertFrom.Parent.Id;
            convertTo.Status = convertFrom.Status;
            convertTo.Visible = convertFrom.IsVisible;
            convertTo.IsFolderDefault = convertFrom.IsFolderDefault;

            return convertTo;
        }

        public static IList<IPageInfo> Adapt(ICollection<ICmsWebPage> convertFrom)
        {
            IList<IPageInfo> convertTo = new List<IPageInfo>();

            foreach (var item in convertFrom)
            {
                convertTo.Add(WebPageAdapter.Adapt(item));
            }

            var sorted = from temp in convertTo
                         orderby temp.DisplayOrder
                         select temp;

            return sorted.ToArray();
        }
    }
}
