using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Benday.Cms.Business.DomainModel;
using Benday.Cms.Business.Facades;

using System.Runtime.Serialization;

namespace Benday.Cms.Business
{
    /// <summary>
    /// 
    /// </summary>
    [Serializable]
    public class CannotDeleteFolderException : Exception
    {
        // constructors...
        /// <summary>
        /// Constructs a new CannotDeleteFolderExceptionException.
        /// </summary>
        public CannotDeleteFolderException() { }
        /// <summary>
        /// Constructs a new CannotDeleteFolderExceptionException.
        /// </summary>
        /// <param name="message">The exception message</param>
        public CannotDeleteFolderException(string message) : base(message) { }
        /// <summary>
        /// Constructs a new CannotDeleteFolderExceptionException.
        /// </summary>
        /// <param name="message">The exception message</param>
        /// <param name="innerException">The inner exception</param>
        public CannotDeleteFolderException(string message, Exception innerException) : base(message, innerException) { }
        /// <summary>
        /// Serialization constructor.
        /// </summary>
        protected CannotDeleteFolderException(SerializationInfo info, StreamingContext context) : base(info, context) { }

        public CannotDeleteFolderException(int id, string reason) : this(id.ToString(), reason)
        {
            
        }

        /// <summary>
        /// Initializes a new instance of the CannotDeleteFolderException class.
        /// </summary>
        public CannotDeleteFolderException(string id, string reason)
            : base(String.Format("Cannot delete folder '{0}' because {1}.", id, reason))
        {
            Id = id;
        }

        public string Id { get; set; }
    }
}
