using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Benday.Cms.Business.DomainModel;
using Benday.Cms.Business.Facades;

using Benday.Cms.Business.Interfaces;
using Benday.Cms.Common;

namespace Benday.Cms.Business
{
    public class ControllerUtility
    {
        public ControllerUtility()
        {

        }

        public static void AssertItemWasLoaded(object item, string itemName, int itemId)
        {
            if (item == null)
            {
                throw new UnknownIdException(itemName, itemId);
            }
        }

        public static IItemKey CreateItemKey(string itemType, string itemId)
        {
            int itemIdAsInt32 = 0;

            if (Int32.TryParse(itemId, out itemIdAsInt32) == false)
            {
                throw new InvalidOperationException("Item id must be an int.");
            }
            else
            {
                return CreateItemKey(itemType, itemIdAsInt32);
            }

        }

        public static IItemKey CreateItemKey(string itemType, int itemId)
        {
            return new ItemKey(itemType, itemId);
        }
    }
}
