using System;
using Benday.Cms.Business.Interfaces;
using Benday.Cms.Common;

namespace Benday.Cms.Business.DomainModel
{
    public class CmsFile : CmsNamedItem, ICmsFile
    {
        public string Filename { get; set; }
        public bool IsImage { get; set; }
        private ICmsFileData m_filedata;
        public ICmsFileData Filedata
        {
            get
            {
                if (m_filedata == null)
                {
                    m_filedata = new CmsFileData();
                }

                return m_filedata;
            }
            set
            {
                m_filedata = value;
            }
        }
        public ICmsFolder Parent { get; set; }
        public bool IsFolderDefault { get; set; }

        public override IItemKey Key
        {
            get
            {
                return new ItemKey("file", this.Id);
            }
        }

        public int ParentId { get; set; }
    }
}
