using System;
using System.Collections.Generic;
using Benday.Cms.Business.Interfaces;
using Benday.Cms.Common;

namespace Benday.Cms.Business.DomainModel
{
    public class CmsWebPage : CmsParentedItem, ICmsWebPage
    {
        public override IItemKey Key
        {
            get
            {
                return new ItemKey("page", this.Id);
            }
        }

        public string Title { get; set; }
        
        private string m_Content;
        public string Content
        {
            get
            {
                if (m_Content == null)
                {
                    return String.Empty;
                }
                else
                {
                    return m_Content;    
                }                
            }
            set
            {
                m_Content = value;
            }
        }

        public bool IsFolderDefault { get; set; }        
    }
}
