using System;
using System.Collections.Generic;
using System.Linq;
using Benday.Cms.Business.Interfaces;
using Benday.Cms.Business;
using Benday.Cms.Common;

namespace Benday.Cms.Business.Admin
{
    public abstract class FolderItemController : CmsControllerBase, IFolderItemController
    {
        public FolderItemController(IObjectFactory factory, ICmsFolderService folderService) : base(factory, folderService)
        {
        }

        public void InitializeFolders(IFolderListView view)
        {
            if (view == null)
                throw new ArgumentNullException("view", "view is null.");
            IList<IFolderInfo> folders = FolderAdapter.Adapt(FolderServiceInstance.GetList());

            IList<IFolderInfo> sortedAndGrouped = SortAndGroupFolders(folders);

            view.Folders = sortedAndGrouped;
        }

        protected virtual void InitializeBlankFolderItemView(IFolderItemView view)
        {
            if (view == null)
                throw new ArgumentNullException("view", "view is null.");
            view.DisplayOrder = 0;
            view.ItemId = 0;
            view.Name = String.Empty;
            view.ParentFolderId = 0;
            view.IsVisible = false;

            IList<IFolderInfo> folders = FolderAdapter.Adapt(FolderServiceInstance.GetList());
            folders.Insert(0, new FolderInfo() { Id = 0, Name = "(root)", ParentFolderId = 0, FullPath = "(root)" });
            
            view.Folders = folders;
        }
    }
}