using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Benday.Cms.Common
{
    public class UnknownIdException : ApplicationException
    {
        public UnknownIdException(string id)
            : base(String.Format("Unknown Id '{0}'.", id))
        {
            m_Id = id;
        }

        public UnknownIdException(string itemName, int id) : this(itemName, id.ToString())
        {
            
        }

        public UnknownIdException(string itemName, string id)
            : base(String.Format("Unknown {1} Id '{0}'.", id, itemName))
        {
            m_Id = id;
        }

        private string m_Id;
        public string Id
        {
            get { return m_Id; }
        }
    }
}
