using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Unity.Configuration;
using System.Configuration;
using Benday.Cms.Business.Admin;
using System.Runtime.Serialization;

namespace Benday.Cms.Factories
{
    /// <summary>
    /// 
    /// </summary>
    [Serializable]
    public class ObjectFactoryException : Exception
    {
        // constructors...
        #region ObjectFactoryException()
        /// <summary>
        /// Constructs a new ObjectFactoryException.
        /// </summary>
        public ObjectFactoryException() { }
        #endregion
        #region ObjectFactoryException(string message)
        /// <summary>
        /// Constructs a new ObjectFactoryException.
        /// </summary>
        /// <param name="message">The exception message</param>
        public ObjectFactoryException(string message) : base(message) { }
        #endregion
        #region ObjectFactoryException(string message, Exception innerException)
        /// <summary>
        /// Constructs a new ObjectFactoryException.
        /// </summary>
        /// <param name="message">The exception message</param>
        /// <param name="innerException">The inner exception</param>
        public ObjectFactoryException(string message, Exception innerException) : base(message, innerException) { }
        #endregion
        #region ObjectFactoryException(SerializationInfo info, StreamingContext context)
        /// <summary>
        /// Serialization constructor.
        /// </summary>
        protected ObjectFactoryException(SerializationInfo info, StreamingContext context) : base(info, context) { }
        #endregion
    }
}
