﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.Security;

namespace Benday.Cms.Security.WpfUi
{
    public class MembershipUserWrapper
    {
        public const string ROLE_NAME_ADMINISTRATOR = "Administrator";

        public static IList<MembershipUserWrapper> Wrap(MembershipUserCollection results)
        {
            if (results == null || results.Count == 0)
            {
                return new List<MembershipUserWrapper>();
            }
            else
            {
                var returnValue = new List<MembershipUserWrapper>();

                foreach (MembershipUser user in results)
                {
                    returnValue.Add(new MembershipUserWrapper(user));
                }

                return returnValue;
            }
        }

        /*
        private TableStorageRoleProvider m_tableStorageRoleProviderInstance;
        private TableStorageRoleProvider TableStorageRoleProviderInstance
        {
            get
            {
                if (m_tableStorageRoleProviderInstance == null)
                {
                    m_tableStorageRoleProviderInstance = new TableStorageRoleProvider();
                    m_tableStorageRoleProviderInstance.Initialize(String.Empty, new System.Collections.Specialized.NameValueCollection());
                }

                return m_tableStorageRoleProviderInstance;
            }
        }
         * */

        public MembershipUserWrapper(MembershipUser user)
        {
            if (user == null)
                throw new ArgumentNullException("user", "user is null.");

            UserName = user.UserName;
            Email = user.Email;
            IsLockedOut = user.IsLockedOut;

            IsAdministrator = Roles.IsUserInRole(UserName, ROLE_NAME_ADMINISTRATOR);
        }

        public string Email { get; set; }
        public bool IsLockedOut { get; set; }
        public bool IsAdministrator { get; set; }
        public string UserName { get; set; }
    }
}
