﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Benday.Cms.Silverlight
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void m_BtnLoadFolders_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                LoadAllFolders();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            } 
        }

        private CmsService.CmsServiceClient m_ClientInstance;
        public CmsService.CmsServiceClient ClientInstance
        {
            get
            {
                if (m_ClientInstance == null)
                {
                    m_ClientInstance = new CmsService.CmsServiceClient();

                    m_ClientInstance.GetFoldersCompleted += new EventHandler<CmsService.GetFoldersCompletedEventArgs>(m_ClientInstance_GetFoldersCompleted);
                    m_ClientInstance.GetWebPagesByFolderIdCompleted += new EventHandler<CmsService.GetWebPagesByFolderIdCompletedEventArgs>(m_ClientInstance_GetWebPagesByFolderIdCompleted);
                    m_ClientInstance.GetLinksByFolderIdCompleted += new EventHandler<CmsService.GetLinksByFolderIdCompletedEventArgs>(m_ClientInstance_GetLinksByFolderIdCompleted);
                }

                return m_ClientInstance;
            }
        }

        void m_ClientInstance_GetLinksByFolderIdCompleted(object sender, CmsService.GetLinksByFolderIdCompletedEventArgs e)
        {
            m_GridLinks.DataContext = e.Result;
        }

        private void ShowPageEditorWindow(int id)
        {
            if (id > 0)
            {
                WebPageEditorWindow window = new WebPageEditorWindow();

                window.Initialize(id);

                window.Show();
            }
        }

        private void EditButton_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                HyperlinkButton senderAsButton = sender as HyperlinkButton;

                if (senderAsButton == null || (senderAsButton.Tag is int) == false)
                {
                    return;
                }
                else
                {
                    int id = (int)senderAsButton.Tag;

                    ShowPageEditorWindow(id);
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
        }

        void m_ClientInstance_GetWebPagesByFolderIdCompleted(object sender, 
            CmsService.GetWebPagesByFolderIdCompletedEventArgs e)
        {
            m_GridWebPages.DataContext = e.Result;
        }

        void m_ClientInstance_GetFoldersCompleted(object sender, CmsService.GetFoldersCompletedEventArgs e)
        {
            m_FolderList.DataContext = null;
            m_FolderList.Items.Clear();

            m_FolderList.DataContext = e.Result;
        }

        private void LoadAllFolders()
        {
            ClientInstance.GetFoldersAsync();
        }

        private void m_FolderList_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            m_GridFolderInfo.DataContext = m_FolderList.SelectedItem;
            m_GridWebPages.DataContext = null;

            CmsService.FolderDto selected = m_FolderList.SelectedItem as CmsService.FolderDto;

            if (selected != null && selected.Id > 0)
            {
                ClientInstance.GetWebPagesByFolderIdAsync(selected.Id);
                ClientInstance.GetLinksByFolderIdAsync(selected.Id);
            }            
        }
    }
}
