﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Benday.Cms.Silverlight
{
    public partial class WebPageEditorWindow : ChildWindow
    {
        public WebPageEditorWindow()
        {
            InitializeComponent();
        }

        public void Initialize(int id)
        {
            m_Id = id;   
        }

        private int m_Id;
        public int Id
        {
            get { return m_Id; }
        }

        private void LoadById()
        {
            ClientInstance.GetWebPageByIdAsync(Id);
        }

        private CmsService.CmsServiceClient m_ClientInstance;
        public CmsService.CmsServiceClient ClientInstance
        {
            get
            {
                if (m_ClientInstance == null)
                {
                    m_ClientInstance = new CmsService.CmsServiceClient();

                    m_ClientInstance.GetWebPageByIdCompleted += new EventHandler<CmsService.GetWebPageByIdCompletedEventArgs>(m_ClientInstance_GetWebPageByIdCompleted);
                }

                return m_ClientInstance;
            }
        }

        void m_ClientInstance_GetWebPageByIdCompleted(object sender, CmsService.GetWebPageByIdCompletedEventArgs e)
        {
            DataContext = e.Result;
        }

        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
        }

        private void ChildWindow_Loaded(object sender, RoutedEventArgs e)
        {
            LoadById();
        }
    }
}

