using System;
using System.Collections.Generic;
using Benday.Cms.Common;

namespace Benday.Cms.SqlServer
{
    public class CmsFolderLazyLoadProxy : ICmsFolder
    {
        private ICmsFolder m_FolderInstance;
        public ICmsFolder Instance
        {
            get
            {
                if (m_FolderInstance == null)
                {
                    ICmsFolder result = m_Repository.GetById(m_FolderId);
                    m_FolderInstance = result;
                }
                return m_FolderInstance;
            }
        }
        private int m_FolderId;
        private ICmsFolderRepository m_Repository;
        public CmsFolderLazyLoadProxy(ICmsFolderRepository repositoryInstance, int folderId)
        {
            m_Repository = repositoryInstance;
            m_FolderId = folderId;
        }
        public ICmsFolder Parent
        {
            get
            {
                return Instance.Parent;
            }
            set
            {
                Instance.Parent = value;
            }
        }
        public IItemKey DefaultItem
        {
            get
            {
                return Instance.DefaultItem;
            }
        }
        public string FullPath
        {
            get
            {
                return Instance.FullPath;
            }
        }
        public IList<ICmsFolder> Folders
        {
            get
            {
                return Instance.Folders;
            }
            set
            {
                Instance.Folders = value;
            }
        }
        public IList<ICmsWebPage> Pages
        {
            get
            {
                return Instance.Pages;
            }
            set
            {
                Instance.Pages = value;
            }
        }
        public IList<ICmsLink> Links
        {
            get
            {
                return Instance.Links;
            }
            set
            {
                Instance.Links = value;
            }
        }
        //public IList<ICmsFile> Files
        //{
        //    get
        //    {
        //        return Instance.Files;
        //    }
        //    set
        //    {
        //        Instance.Files = value;
        //    }
        //}
        public void Add(ICmsFolder child)
        {
            Instance.Add(child);
        }
        public void Add(ICmsLink child)
        {
            Instance.Add(child);
        }
        public ICmsNamedItem FindDefaultItem()
        {
            return Instance.FindDefaultItem();
        }
        public IItemKey Key
        {
            get
            {
                return Instance.Key;
            }
        }
        public int DisplayOrder
        {
            get
            {
                return Instance.DisplayOrder;
            }
            set
            {
                Instance.DisplayOrder = value;
            }
        }
        public bool IsVisible
        {
            get
            {
                return Instance.IsVisible;
            }
            set
            {
                Instance.IsVisible = value;
            }
        }
        public string LastModifiedBy
        {
            get
            {
                return Instance.LastModifiedBy;
            }
            set
            {
                Instance.LastModifiedBy = value;
            }
        }
        public string CreatedBy
        {
            get
            {
                return Instance.CreatedBy;
            }
            set
            {
                Instance.CreatedBy = value;
            }
        }
        public DateTime CreateDate
        {
            get
            {
                return Instance.CreateDate;
            }
            set
            {
                Instance.CreateDate = value;
            }
        }
        public DateTime LastModified
        {
            get
            {
                return Instance.LastModified;
            }
            set
            {
                Instance.LastModified = value;
            }
        }
        public string Status
        {
            get
            {
                return Instance.Status;
            }
            set
            {
                Instance.Status = value;
            }
        }

        public int ParentId
        {
            get
            {
                return Instance.ParentId;
            }
            set
            {
                Instance.ParentId = value;
            }
        }        

        public int Id
        {
            get
            {
                return Instance.Id;
            }
            set
            {
                Instance.Id = value;
            }
        }
        public string Name
        {
            get
            {
                return Instance.Name;
            }
            set
            {
                Instance.Name = value;
            }
        }
        public void Add(ICmsWebPage page)
        {
            Instance.Add(page);
        }
        //public void Add(ICmsFile file)
        //{
        //    Instance.Add(file);
        //}
    }
}
