using System;
using System.Collections.Generic;
using Benday.Cms.Common;

namespace Benday.Cms.SqlServer
{
    public abstract class CollectionLazyLoadProxyBase<T> : IList<T>
    {
        public CollectionLazyLoadProxyBase()
        {
        }
        protected abstract IList<T> Instance { get; }
        public int IndexOf(T item)
        {
            return Instance.IndexOf(item);
        }
        public void Insert(int index, T item)
        {
            Instance.Insert(index, item);
        }
        public void RemoveAt(int index)
        {
            Instance.RemoveAt(index);
        }
        public T this[int index]
        {
            get
            {
                return Instance[index];
            }
            set
            {
                Instance[index] = value;
            }
        }
        public void Add(T item)
        {
            Instance.Add(item);
        }
        public void Clear()
        {
            Instance.Clear();
        }
        public bool Contains(T item)
        {
            return Instance.Contains(item);
        }
        public void CopyTo(T[] array, int arrayIndex)
        {
            Instance.CopyTo(array, arrayIndex);
        }
        public int Count
        {
            get
            {
                return Instance.Count;
            }
        }
        public bool IsReadOnly
        {
            get
            {
                return Instance.IsReadOnly;
            }
        }
        public bool Remove(T item)
        {
            return Instance.Remove(item);
        }
        public IEnumerator<T> GetEnumerator()
        {
            return Instance.GetEnumerator();
        }
        System.Collections.IEnumerator System.Collections.IEnumerable.GetEnumerator()
        {
            return ((System.Collections.IEnumerable)Instance).GetEnumerator();
        }
    }
}
