using System;
using System.Collections.Generic;
using Benday.Cms.Common;

namespace Benday.Cms.SqlServer
{
    public class FilesCollectionLazyLoadProxy : CollectionLazyLoadProxyBase<ICmsFile>
    {
        private int m_ParentFolderId;
        private ICmsFileRepository m_Repository;
        public FilesCollectionLazyLoadProxy(ICmsFileRepository repositoryInstance, int parentFolderId)
            : base()
        {
            m_Repository = repositoryInstance;
            m_ParentFolderId = parentFolderId;
        }
        private IList<ICmsFile> m_Instance;
        protected override IList<ICmsFile> Instance
        {
            get
            {
                if (m_Instance == null)
                {
                    IList<ICmsFile> result = m_Repository.GetByFolderId(m_ParentFolderId);
                    m_Instance = result;
                }
                return m_Instance;
            }
        }
    }
}
