using System;
using System.Collections.Generic;
using Benday.Cms.Common;

namespace Benday.Cms.SqlServer
{
    public class LinksCollectionLazyLoadProxy : CollectionLazyLoadProxyBase<ICmsLink>
    {
        private int m_ParentFolderId;
        private ICmsLinkRepository m_Repository;
        public LinksCollectionLazyLoadProxy(ICmsLinkRepository repositoryInstance, int parentFolderId)
            : base()
        {
            m_Repository = repositoryInstance;
            m_ParentFolderId = parentFolderId;
        }
        private IList<ICmsLink> m_Instance;
        protected override IList<ICmsLink> Instance
        {
            get
            {
                if (m_Instance == null)
                {
                    IList<ICmsLink> result = m_Repository.GetByFolderId(m_ParentFolderId);
                    m_Instance = result;
                }
                return m_Instance;
            }
        }
    }
}
