using System;
using System.Collections.Generic;
using Benday.Cms.Common;

namespace Benday.Cms.SqlServer
{
    public class PagesCollectionLazyLoadProxy : CollectionLazyLoadProxyBase<ICmsWebPage>
    {
        private int m_ParentFolderId;
        private ICmsWebPageRepository m_Repository;
        public PagesCollectionLazyLoadProxy(ICmsWebPageRepository repositoryInstance, int parentFolderId)
            : base()
        {
            m_Repository = repositoryInstance;
            m_ParentFolderId = parentFolderId;
        }
        private IList<ICmsWebPage> m_Instance;
        protected override IList<ICmsWebPage> Instance
        {
            get
            {
                if (m_Instance == null)
                {
                    IList<ICmsWebPage> result = m_Repository.GetByFolderId(m_ParentFolderId);
                    m_Instance = result;
                }
                return m_Instance;
            }
        }
    }
}
