using System;
using Benday.Cms.Common;

namespace Benday.Cms.SqlServer
{
    public class SqlServerLogRepository : 
        SqlServerRepositoryBase<CmsDatasetTableAdapters.LogEntryTableAdapter>, 
        ILogRepository
    {
        public SqlServerLogRepository()
        {
        }

        public void Save(ILogEntry saveThis)
        {
            if (saveThis == null)
            {
                throw new ArgumentNullException("saveThis", "Argument cannot be null.");
            }

            var dataset = new CmsDataset();

            dataset.LogEntry.AddLogEntryRow(saveThis.LogDate, 
                saveThis.MessageType, 
                saveThis.SourceAddress, 
                saveThis.MessageSource, 
                saveThis.MessageText, 
                saveThis.Username, 
                saveThis.SessionId,
                saveThis.Referrer, 
                saveThis.PathInfo);

            TableAdapterInstance.Update(dataset.LogEntry);

            Cleanup();
        }
    }
}
