using System;
using System.Text;
using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Benday.Cms.Business.Facades;

namespace Benday.Cms.UnitTests
{
    [TestClass]
    public class StringSplitterFixture
    {
        public StringSplitterFixture()
        {
        }

        
        [TestMethod]
        public void StringSplitter_SplitString()
        {
            StringBuilder builder = new StringBuilder();

            for (int i = 0; i < 10000; i++)
            {
                builder.Append('a');
            }

            string fullValue = builder.ToString();
            Assert.AreEqual<int>(10000, fullValue.Length, "Full value wasn't the expected length.");

            
            int chunkSize = 4000;
            List<string> chunks = LogFacade.GetChunks(fullValue, chunkSize);

            Assert.AreEqual<int>(3, chunks.Count, "Chunk count was wrong.");
            Assert.AreEqual<int>(chunkSize, chunks[0].Length, "Chunk 0 length is wrong.");
            Assert.AreEqual<int>(chunkSize, chunks[1].Length, "Chunk 1 length is wrong.");
            Assert.AreEqual<int>(2000, chunks[2].Length, "Chunk 2 length is wrong.");
        }
        
        	
    }    
}
