﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;

namespace Benday.Cms.WebUI.Administrator.Security
{
    public partial class ListUsers : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (this.IsPostBack == false)
            {
                EnsureRolesExist();
                m_grid.DataSource = MembershipUserWrapper.Wrap(Membership.GetAllUsers());
                m_grid.DataBind();
            }
        }

        private void EnsureRolesExist()
        {
            var allRoles = Roles.GetAllRoles();

            if (allRoles == null || allRoles.Length == 0 || allRoles.Contains(WebUiConstants.ROLE_NAME_ADMINISTRATOR) == false)
            {
                Roles.CreateRole(WebUiConstants.ROLE_NAME_ADMINISTRATOR);
            }
        }        
    }
}
