using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;

namespace Benday.Cms.WebUI.Administrator.Security
{
    public class MembershipUserWrapper
    {
        public static IList<MembershipUserWrapper> Wrap(MembershipUserCollection results)
        {
            if (results == null || results.Count == 0)
            {
                return new List<MembershipUserWrapper>();
            }
            else
            {
                var returnValue = new List<MembershipUserWrapper>();

                foreach (MembershipUser user in results)
                {
                    returnValue.Add(new MembershipUserWrapper(user));
                }

                return returnValue;
            }
        }

        public MembershipUserWrapper(MembershipUser user)
        {
            if (user == null)
                throw new ArgumentNullException("user", "user is null.");

            UserName = user.UserName;
            Email = user.Email;
            IsLockedOut = user.IsLockedOut;
            IsAdministrator = Roles.IsUserInRole(UserName, WebUiConstants.ROLE_NAME_ADMINISTRATOR);
        }

        public string Email { get; set; }
        public bool IsLockedOut { get; set; }
        public bool IsAdministrator { get; set; }
        public string UserName { get; set; }
    }
}
