using System;
using System.Web.UI.WebControls;
using System.Collections.Generic;
using Benday.Cms.Business.Interfaces;
using Benday.Cms.Common;

namespace Benday.Cms.WebUI
{
    public partial class WebMenuBar : CmsUserControlBase, ICmsNavigationMenuView
	{
        public IItemKey SelectedFolder
        {
            get;
            set;
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            IMenuController controller = ObjectFactoryInstance.Create<IMenuController>();

            controller.Initialize(this);
        }        

        #region ICmsNavigationMenuView Members

        private IList<ICmsNavigationItem> m_folders;
        public IList<ICmsNavigationItem> Folders
        {
            get
            {
                return null;
            }
            set
            {
                m_menu.Items.Clear();

                m_folders = value;

                if (m_folders != null)
                {
                    foreach (var item in m_folders)
                    {
                        MenuItem temp = new MenuItem(item.Name, item.Key.ToString());
                        if (item.Url == null)
                        {
                            temp.NavigateUrl = "null";
                        }
                        else
                        {
                            temp.NavigateUrl = item.Url;
                        }

                        m_menu.Items.Add(temp);                            
                    }
                }
            }
        }

        #endregion

        #region ICmsNavigationMenuView Members


        public IList<ICmsNavigationItem> ChildFolders
        {
            get
            {
                return null;
            }
            set
            {
                
            }
        }

        public IList<ICmsNavigationItem> ChildItems
        {
            get
            {
                return null;
            }
            set
            {
                
            }
        }

        #endregion

    }
}