﻿USE [CmsUnitTests]
GO
/****** Object:  Table [dbo].[CmsFolder]    Script Date: 04/29/2011 15:14:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CmsFolder](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[LastModified] [datetime] NOT NULL,
	[Name] [nvarchar](255) NOT NULL,
	[DisplayOrder] [int] NOT NULL,
	[IsVisible] [bit] NOT NULL,
	[ParentFolderId] [int] NULL,
	[Status] [nvarchar](255) NOT NULL,
	[CreateDate] [datetime] NOT NULL,
	[CreatedBy] [nvarchar](255) NOT NULL,
	[LastModifiedBy] [nvarchar](255) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[CmsFile]    Script Date: 04/29/2011 15:14:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[CmsFile](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[ParentFolderId] [int] NOT NULL,
	[DisplayOrder] [int] NOT NULL,
	[FileType] [nvarchar](25) NOT NULL,
	[FileName] [nvarchar](1000) NOT NULL,
	[CreateDate] [datetime] NOT NULL,
	[LastModified] [datetime] NOT NULL,
	[FileData] [varbinary](max) NULL,
 CONSTRAINT [PK_CmsFile] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[LogEntry]    Script Date: 04/29/2011 15:14:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[LogEntry](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[LogDate] [datetime] NULL,
	[MessageType] [nvarchar](512) NULL,
	[SourceAddress] [nvarchar](512) NULL,
	[MessageSource] [nvarchar](512) NULL,
	[MessageText] [nvarchar](512) NULL,
	[Username] [nvarchar](512) NULL,
	[SessionId] [nvarchar](512) NULL,
	[Referrer] [nvarchar](512) NULL,
	[PathInfo] [nvarchar](512) NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[LogAttribute]    Script Date: 04/29/2011 15:14:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[LogAttribute](
	[LogEntryAttributeId] [int] IDENTITY(1,1) NOT NULL,
	[LogEntryId] [int] NOT NULL,
	[AttributeIndex] [int] NULL,
	[Name] [nvarchar](255) NULL,
	[AttributeValue] [nvarchar](4000) NULL,
PRIMARY KEY CLUSTERED 
(
	[LogEntryAttributeId] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[CmsWebPage]    Script Date: 04/29/2011 15:14:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CmsWebPage](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[LastModified] [datetime] NOT NULL,
	[Name] [nvarchar](255) NOT NULL,
	[Title] [nvarchar](255) NOT NULL,
	[DisplayOrder] [int] NOT NULL,
	[IsVisible] [bit] NOT NULL,
	[IsFolderDefault] [bit] NOT NULL,
	[ParentFolderId] [int] NULL,
	[Status] [nvarchar](255) NOT NULL,
	[CreateDate] [datetime] NOT NULL,
	[CreatedBy] [nvarchar](255) NOT NULL,
	[LastModifiedBy] [nvarchar](255) NOT NULL,
	[Html] [nvarchar](max) NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[CmsLink]    Script Date: 04/29/2011 15:14:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[CmsLink](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[LastModified] [datetime] NOT NULL,
	[Name] [nvarchar](255) NOT NULL,
	[Target] [nvarchar](255) NOT NULL,
	[Url] [nvarchar](255) NOT NULL,
	[DisplayOrder] [int] NOT NULL,
	[IsVisible] [bit] NOT NULL,
	[IsFolderDefault] [bit] NOT NULL,
	[ParentFolderId] [int] NULL,
	[Status] [nvarchar](255) NOT NULL,
	[CreateDate] [datetime] NOT NULL,
	[CreatedBy] [nvarchar](255) NOT NULL,
	[LastModifiedBy] [nvarchar](255) NOT NULL,
PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  ForeignKey [FKE631F4B6703CCF06]    Script Date: 04/29/2011 15:14:03 ******/
ALTER TABLE [dbo].[CmsFolder]  WITH CHECK ADD  CONSTRAINT [FKE631F4B6703CCF06] FOREIGN KEY([ParentFolderId])
REFERENCES [dbo].[CmsFolder] ([Id])
GO
ALTER TABLE [dbo].[CmsFolder] CHECK CONSTRAINT [FKE631F4B6703CCF06]
GO
/****** Object:  ForeignKey [FKF05F9A38703CCF06]    Script Date: 04/29/2011 15:14:03 ******/
ALTER TABLE [dbo].[CmsLink]  WITH CHECK ADD  CONSTRAINT [FKF05F9A38703CCF06] FOREIGN KEY([ParentFolderId])
REFERENCES [dbo].[CmsFolder] ([Id])
GO
ALTER TABLE [dbo].[CmsLink] CHECK CONSTRAINT [FKF05F9A38703CCF06]
GO
/****** Object:  ForeignKey [FKDE0D128D703CCF06]    Script Date: 04/29/2011 15:14:03 ******/
ALTER TABLE [dbo].[CmsWebPage]  WITH CHECK ADD  CONSTRAINT [FKDE0D128D703CCF06] FOREIGN KEY([ParentFolderId])
REFERENCES [dbo].[CmsFolder] ([Id])
GO
ALTER TABLE [dbo].[CmsWebPage] CHECK CONSTRAINT [FKDE0D128D703CCF06]
GO
/****** Object:  ForeignKey [FKF505887E6133D9FB]    Script Date: 04/29/2011 15:14:03 ******/
ALTER TABLE [dbo].[LogAttribute]  WITH CHECK ADD  CONSTRAINT [FKF505887E6133D9FB] FOREIGN KEY([LogEntryId])
REFERENCES [dbo].[LogEntry] ([Id])
GO
ALTER TABLE [dbo].[LogAttribute] CHECK CONSTRAINT [FKF505887E6133D9FB]
GO
